Skip to main content
PATCH
/
v1
/
flows
/
{id}
Partial update flow
curl --request PATCH \
  --url https://api.runflow.io/v1/flows/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "cover_url": "<string>",
  "visibility_code": "<string>",
  "source_visibility_code": "<string>",
  "status_code": "<string>",
  "context_variables": {},
  "updated_at": "2023-11-07T05:31:56Z"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "slug": "<string>",
  "name": "<string>",
  "description": "<string>",
  "cover_url": "<string>",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "flow_type_code": "<string>",
  "category_code": "<string>",
  "visibility_code": "<string>",
  "source_visibility_code": "<string>",
  "status_code": "<string>",
  "version": 123,
  "current_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "estimated_cost": "<string>",
  "context_variables": {},
  "run_count": 123,
  "avg_duration": "<string>",
  "cost_per_run": "<string>",
  "featured_at": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "nodes": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "label": "<string>",
      "subtitle": "<string>",
      "type_code": "<string>",
      "x": 123,
      "y": 123,
      "width": 123,
      "config": {},
      "collapsed": true,
      "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "builtin_node_code": "<string>",
      "comfyui_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sub_flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "flow": null,
      "inputs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "flow_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "display_name": "<string>",
          "variable_type_code": "<string>",
          "validator_code": "<string>",
          "validator_attrs": {},
          "is_required": true,
          "default_value": {},
          "sort_order": 123,
          "behavior_code": "<string>",
          "value": {},
          "source_output_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "connection_label": "<string>",
          "connection_style_code": "<string>",
          "retry_source_output_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ],
      "outputs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "flow_node_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "display_name": "<string>",
          "variable_type_code": "<string>",
          "validator_code": "<string>",
          "validator_attrs": {},
          "sort_order": 123,
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "inputs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "variable_type_code": "<string>",
      "validator_code": "<string>",
      "validator_attrs": {},
      "is_required": true,
      "default_value": {},
      "sort_order": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "outputs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "variable_type_code": "<string>",
      "validator_code": "<string>",
      "validator_attrs": {},
      "sort_order": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "created_by_user": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "avatar_url": "<string>"
  },
  "recent_stars": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Organization-Id
string | null

Path Parameters

id
string<uuid>
required

Body

application/json

PATCH body — all fields optional.

name
string | null
description
string | null
cover_url
string | null
visibility_code
string | null
source_visibility_code
string | null
status_code
string | null
context_variables
Context Variables · object
updated_at
string<date-time> | null

Response

The updated flow.

Response shape.

id
string<uuid> | null
slug
string | null
name
string | null
description
string | null
cover_url
string | null
org_id
string<uuid> | null
flow_type_code
string | null
category_code
string | null
visibility_code
string | null
source_visibility_code
string | null
status_code
string | null
version
integer | null
current_version_id
string<uuid> | null
estimated_cost
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
context_variables
Context Variables · object
run_count
integer | null
avg_duration
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
cost_per_run
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
created_by
string<uuid> | null
created_at
string<date-time> | null
updated_at
string<date-time> | null
nodes
FullValidator · object[] | null
inputs
FullValidator · object[] | null
outputs
FullValidator · object[] | null
created_by_user
EmbedValidator · object

Minimal user shape for embedded user fields.

Includes only display-relevant fields. Excludes sensitive/admin fields: email_verified_at, disabled_at, is_internal, locale_code, timezone.

recent_stars
FullValidator · object[] | null

Newest-first, capped to the 50 most recent stars per flow.

Maximum array length: 50